+++
title = "Git Migration to Gitea"
date = 2021-02-20
[taxonomies]
tags = ["Golang","Git","Gitea","Web Development"]
+++
As part of the continuing web site redesign I have migrated the git repo from
Gitweb to Gitea.<!-- more -->

Gitweb is a perl CGI script included with the git source distribution. It is very
basic, but does allow viewing repositories and provides url's for cloning. There
isn't anything particularly wrong with gitweb, but it's not exactly pretty and
requires running a CGI on the server.

Gitea is written in Go and is a complete solution in a single binary. If anything,
gitea is a bit overkill for our purpose, but it looks great, provides an easy to
use interface for creating and managing repositories, and is quite easy on
resource utilization. As it runs it's own server, it also enabled me to put it
on another machine and just use a reverse proxy from the public facing server.
Those two machines (both Raspberry Pi's) are now dedicated to a single function
and running quite happily. It has also made my server configuration quite a bit
more simple.

Of note, gitea is now the only dynamic content provider on hitchhiker-linux.org.
Everything else is static pages. I have taken the time to begin writing a handbook
and posting the source to gitea, which can be built and perused offline if
desired, which will be useful to new users upon first installing the system.
